/*--------------------------------------------------------------
>>> TABLA DE CONTENIDOS:
----------------------------------------------------------------
# Secciones
# Tipografía
# Componentes
  ## Citas y texto
  ## Características
  ## Hero
  ## Cajas
  ## Bloques
  ## Medios y vídeo
  ## Cabecera de admisión
  ## Pasos
  ## Enlaces del slider
  ## Recuerda
  ## Sabías que
  ## Admisión
  ## Grados
--------------------------------------------------------------*/

/* 
https://placeimg.com/640/700/tech 
https://placeimg.com/640/480/tech 
https://placeimg.com/640/360/tech
*/

/*--------------------------------------------------------------
# Secciones
--------------------------------------------------------------*/

.alt {
    background: #F1F1F1;
    /*#424a50;*/
}

.inverse.alt {
    background: #111;
}

.inverse {
    background: #3F4444;
    /*#424a50;*/
}

.inverse h1,
.inverse h2,
.inverse h3,
.inverse h4 {
    color: #fff;
}

.no-radius {
    border-radius: 0 !important;
}

.no-background {
    background: transparent !important;
}

.border-left {
    border-left: 1px solid var(--wp--preset--color--grey-medium) !important;
}

.border-bottom {
    border-bottom: 1px solid var(--wp--preset--color--grey-medium) !important;
}

.no-gap {
    gap: 0 !important;
}

.no-gap.wp-block-columns {
    margin-bottom: 0 !important;
}

/* Rejilla de celdas flexible */
.celda-grid {
    border-radius: 0 !important;
    background: transparent !important;
}

.celda-grid h3 {
    padding-bottom: 30px;
}

.celda-grid-left {
    border-left: 1px solid var(--wp--preset--color--grey-medium) !important;
}

.celda-grid-bottom {
    border-bottom: 1px solid var(--wp--preset--color--grey-medium) !important;
}

/* Responsive: bordes inferiores excepto la última */
@media (max-width: 781px) {
    .celda-grid {
        border-left: none !important;
        border-bottom: 1px solid var(--wp--preset--color--grey-medium) !important;
    }
}

.upv-section {
    padding: 80px 0px !important;
    margin: 0;
}

.upv-section .wp-block-columns {
    margin: 0 auto 1em auto;
    gap: 16px;
}

.upv-section .wp-block-group.alignwide .wp-block-columns {
    max-width: 100% !important;
}

.upv-section.no-padding-top {
    padding-top: 15px !important;
}

.upv-section.no-padding-bottom {
    padding-bottom: 15px !important
}

.upv-section.no-padding {
    padding: 15px 0 !important;
}

.no-padding {
    padding: 0 !important;
}

.no-margin {
    margin: 0 !important;
}

.padding {
    padding: 24px !important;
}

.margin-bottom {
    margin-bottom: 24px !important;
}

.margin-top {
    margin-top: 24px !important;
}

#editor .upv-section {
    border: 1px dashed #ccc;
    margin-left: 4px;
    margin-right: 4px;
}

@media (max-width: 1024px) {

    .upv-section.inverse,
    .upv-section.alt {
        padding-left: 10px !important;
        padding-right: 10px !important;
        margin-left: -10px !important;
        margin-right: -10px !important;
        max-width: 150% !important;
    }
}

.upv-section .wp-block-media-text__content {
    padding: 24px;
}

/*--------------------------------------------------------------
# Tipografía
--------------------------------------------------------------*/

h1.section-title {
    padding-top: 20px;
    padding-bottom: 15px;
    margin: 0 auto;
    font-size: 48px;
}

h2.section-title {
    padding-top: 15px;
    padding-bottom: 15px;
    margin: 0 auto;
    font-size: 28px;
}

h3.section-title {
    padding-top: 10px;
    padding-bottom: 10px;
    margin: 0 auto;
    font-size: 20px;
}

.section-lead {
    margin: 0 auto 50px auto !important;
    font-size: 20px !important;
}

.inverse .section-title,
.inverse .section-lead {
    color: #fff;
}

.justificado,
.justify,
.text-justify {
    text-align: justify;
}

.text-center {
    text-align: center !important;
}

.text-left {
    text-align: left !important;
}

.text-right {
    text-align: right !important;
}


.big-number {
    font-size: 64px !important;
    color: #D73333;
    line-height: 1em;
    font-weight: 700;
    margin: 0;
    font-family: Poppins;
    white-space: nowrap;
}


.inverse .big-number {
    color: #FFD100;
}

/*--------------------------------------------------------------
# Componentes
--------------------------------------------------------------*/

/*--------------------------------------------------------------
## Citas y texto
--------------------------------------------------------------*/

.wp-block-quote {
    padding: 24px 0 24px 24px;
    border-color: #E5554F;
}

.wp-block-quote p {
    font-size: 28px;
    line-height: 1.2em;
    font-family: Poppins;
    font-weight: bold;
}

.wp-block-quote cite {
    text-transform: uppercase;
}

.inverse .wp-block-quote {
    border-color: #FFD100;
}

.wp-block-quote .wp-block-quote__citation {
    font-size: 16px;
}

.upv-text img {
    padding: 0 30px 30px 30px;
}

.upv-text.inverse {
    color: #fff;
}

.upv-text ul {
    padding-left: 0
}

.upv-text .upv-feature ul {
    padding-left: 40px
}

.upv-text.circular h2 {
    font-size: 42px
}

.upv-text.circular p {
    font-size: 20px;
    line-height: 26px;
}

.upv-text.circular .is-style-rounded img {
    padding: 25px;
}

.fila-bordes {
    padding-top: 20px !important;
    padding-bottom: 20px !important;
    border-bottom: 1px solid var(--wp--preset--color--grey-medium) !important;
    margin-bottom: 0 !important;
    margin-top: 0 !important;
}

/*--------------------------------------------------------------
## Características
--------------------------------------------------------------*/

.upv-feature .wp-block-column,
.upv-feature.join-columns .wp-block-columns {
    padding: 32px 24px;
    background: #f1f1f1;
    border-radius: 24px;
    margin-bottom: 16px;
}

.upv-feature.alt .wp-block-column,
.upv-feature.alt.join-columns .wp-block-columns {
    background: #ffffff;
}


.inverse .upv-feature .wp-block-group {
    background: #5b5b5b;
}

.upv-feature.inverse .wp-block-column,
.upv-feature.join-columns.inverse .wp-block-columns,
.upv-feature.inverse .wp-block-group {
    background: #5b5b5b;
}

.upv-feature.inverse .sub-cards .wp-block-column {
    background: #3F4444;
}

.upv-feature .wp-block-group {
    padding: 24px;
    background: #f1f1f1;
    border-radius: 24px;
    margin-bottom: 16px;
}

.upv-feature h2,
.upv-feature h3,
.upv-feature h4 {
    margin-top: 0;
}

.upv-feature.inverse {
    color: #fff;
}

.upv-texts.inverse {
    color: #fff;
}

.upv-texts .upv-feature.is-layout-flow {
    margin-bottom: 0px;
    margin-top: 0px;
}

@media (max-width: 1024px) {
    .upv-texts .upv-feature.is-layout-flow {
        margin-bottom: 10px;
    }
}

.upv-feature.with-icon .wp-block-group {
    margin: 0;
}

.upv-feature.with-icon .icono {
    margin-bottom: 28px;
}

.upv-feature.with-icon .icono img {
    display: inline-block;
}

/*--------------------------------------------------------------
## Hero
--------------------------------------------------------------*/

.upv-hero {
    min-height: auto;
}

.upv-hero .wp-block-cover__inner-container {
    margin: 60px 20px;
}

.upv-hero.wp-block-cover .section-title {
    margin: 0 auto 10px auto;
    font-size: 2.5em;
}

.upv-hero.wp-block-cover .section-lead {
    margin: 0 auto;
    font-size: 1.3em;
}

#editor .editor-styles-wrapper .upv-hero.dark.wp-block-cover .section-title,
#editor .editor-styles-wrapper .upv-hero.dark.wp-block-cover .section-lead,
.upv-hero.dark.wp-block-cover .section-title,
.upv-hero.dark.wp-block-cover .section-lead {
    color: #F3F3F3;
}

#editor .editor-styles-wrapper .upv-hero.wp-block-cover .section-title,
#editor .editor-styles-wrapper .upv-hero.wp-block-cover .section-lead,
.upv-hero.wp-block-cover .section-title,
.upv-hero.wp-block-cover .section-lead {
    color: #333;
}

.upv-hero.transparent-header .wp-block-cover__inner-container {
    margin: 250px 20px 0 20px;
}

.upv-hero.transparent-header-small .wp-block-cover__inner-container {
    display: none;
}

/*--------------------------------------------------------------
## Cajas
--------------------------------------------------------------*/

.with-readmore,
.upv-box {
    margin: 0 auto;
    /*padding-bottom:90px!important*/
    ;
    position: relative;
}

.with-readmore {
    padding-bottom: 90px !important;
}

.upv-box {
    background: #F1F1F1;
}

.inverse .upv-box {
    background: #fff;
    color: #111;
}

.inverse .upv-box h1,
.inverse .upv-box h2,
.inverse .upv-box h3,
.inverse .upv-box h4 {
    color: #5B6770;
}

.upv-box li {
    margin-left: 0;
}

.upv-box ul {
    padding-left: 1.5em;
}

.upv-boxes .upv-box {
    padding: 24px;
}

.upv-boxes .wp-block-image {
    margin: -24px -24px 0 -24px;
}

.one .upv-box .wp-block-image {
    margin: 0;
}

.one .upv-box {
    padding: 0px !important;
}

.upv-texts .read-more,
.upv-block .read-more,
.upv-box .read-more {
    background: #D73333;
    padding: 10px 18px;
    margin: 20px 0 24px 0;
    /*text-transform: uppercase; */
    display: inline-block;
    position: absolute;
    bottom: 0;
    clear: both;
}



.upv-texts .read-more a,
.upv-block .read-more a,
.upv-box .read-more a {
    color: #fff;
    text-decoration: none;
}

.upv-texts .read-more:hover,
.upv-block .read-more:hover,
.upv-box .read-more:hover {
    text-decoration: none;
    background: #a40e0e;
}



.alt .wp-block-media-text {
    background: #fff;
}

.upv-box h2,
.upv-box h3,
.upv-box h4,
.wp-block-media-text h2,
.wp-block-media-text h3,
.wp-block-media-text h4 {
    color: #424A50;
}

.wp-block-media-text .read-more {
    position: relative;
}

/*--------------------------------------------------------------
## Bloques
--------------------------------------------------------------*/

.upv-block {
    margin: 0 auto;
    padding-bottom: 90px !important;
    position: relative;
    border: 1px solid #E5554F;
}

.inverse .upv-block {
    color: #111;
    background: #fff;
    border-color: #fff;
}

.inverse .upv-block h2,
.inverse .upv-block h3 {
    color: #5B6770 !important;
}

.upv-block li {
    margin-left: 0;
}

.upv-block ul {
    padding-left: 1.5em;
}

.upv-blocks .upv-block {
    padding: 24px;
}

.upv-blocks .wp-block-image {
    margin: -24px -24px 0 -24px !important;
}

.one .upv-block .wp-block-image {
    margin: 0;
}

.one .upv-block {
    padding: 0px !important;
}

/*--------------------------------------------------------------
## Medios y vídeo
--------------------------------------------------------------*/

.upv-media .wp-block-button__link {
    padding: 6px 20px !important
}

#primary .upv-videos .wp-block-gallery .blocks-gallery-item figcaption {
    z-index: 1;

}

#primary .wp-block-gallery .blocks-gallery-item__caption {
    text-align: left;
}

#primary .upv-videos .wp-block-gallery .blocks-gallery-item figure::after {
    background: rgba(0, 0, 0, 0.4) url(../assets/play-video.png) center center no-repeat;
    height: 100%;
    width: 100%;
    padding: 0;
    content: "";
    position: absolute;
}

#primary .upv-videos .wp-block-gallery .blocks-gallery-item figure .block-editor-media-placeholder {
    position: absolute;
    z-index: 2;
}

.upv-media figcaption {
    display: none
}

.upv-media .consubtitulos figcaption {
    display: block
}

.blocks-gallery-grid .blocks-gallery-image figcaption,
.blocks-gallery-grid .blocks-gallery-item figcaption,
.wp-block-gallery .blocks-gallery-image figcaption,
.wp-block-gallery .blocks-gallery-item figcaption {
    background: rgba(0, 0, 0, 0.6);
    padding: 8px 20px;
}

.upv-section .wp-block-media-text__content {
    padding: 24px;
}


/*--------------------------------------------------------------
## Cabecera de admisión
--------------------------------------------------------------*/

.upv-admission-header {
    margin: 0 !important;
    padding: 0 !important;
}

.upv-admission-header .wp-block-cover h1.wp-block-heading.has-x-large-font-size {
    font-size: 180px !important;
    line-height: 1em !important;
    margin: 0 !important;
}

@media (max-width:782px) {
    .upv-admission-header .wp-block-cover h1.wp-block-heading.has-x-large-font-size {
        font-size: 60px !important;
    }
}

@media (min-width:783px) and (max-width:1024px) {
    .upv-admission-header .wp-block-cover h1.wp-block-heading.has-x-large-font-size {
        font-size: 100px !important;
    }
}

.upv-admission-header h2 {
    margin: 0 40px 0 0 !important;
}

.upv-admission-header p {
    padding-left: 20px;
    border-left: 3px solid #e5554f;
    margin: 0;
    line-height: 1.3em
}

.upv-admission-header .wp-block-columns {
    margin-bottom: 0 !important;
}

/*--------------------------------------------------------------
## Pasos
--------------------------------------------------------------*/

.upv-steps .wp-block-columns {
    gap: 0;
    margin-bottom: 0;
}

.upv-step {
    width: 25%;
    aspect-ratio: 1 / 1;
    max-width: 50%;
    margin: 0;
    padding: 20px;
    color: #fff;
    display: flex;
    flex-direction: column;
    align-content: flex-end;
    justify-content: flex-end;
}

.upv-step-intro {
    padding: 0 20px 20px 0;
}

.upv-step-intro h2 {
    margin-top: 0;
    margin-bottom: 0;
}

.upv-step-intro p {
    margin-top: 20px;
    margin-bottom: 0;
}

.upv-step h2 {
    color: #fff;
    margin: 0;
    font-size: 50px;
    font-family: Poppins;
}

.upv-step p {
    font-weight: bold;
    color: #fff;
    margin: 4px 0 20px 0;
    font-size: 24px;
    font-family: Poppins;
}

.upv-step .wp-element-button {
    background: transparent;
    border: 1px solid #fff;
    color: #fff !important;
    font-size: 10px;
    padding: 8px 12px;
}

.upv-step:hover .wp-element-button {
    background: #000 !important;
    border: 1px solid #000 !important;
    color: #fff !important;
    cursor: pointer;
}

/*--------------------------------------------------------------
## Enlaces del slider
--------------------------------------------------------------*/

.vertical-horizontal {
    flex-direction: column;
}

@media (min-width:950px) {
    .vertical-horizontal {
        flex-direction: row;
    }
}

@media (max-width:950px) {
    .upv-section .slider-pie-flotante {
        display: block !important;
        top: 0 !important;
        width: 100% !important;
        margin: 20px 0px !important;
        margin-left: min(40px, 10%) !important;
        padding: 20px !important;
    }
}

.intro-slider-enlaces {
    width: 400px !important;
}

.intro-slider-enlaces h2 {
    margin-top: 0;
}

.slider-pie-flotante {
    margin-left: calc((100vw - var(--ancho, 980px))/2) !important;
    gap: 80px;
    position: relative;
    z-index: 0;
    top: -80px;
    padding-top: 140px;
}

.slider-pie-flotante a::before {
    content: url(images/flechita.svg);
    display: inline-block;
    margin-right: 10px;
    position: relative;
}

/*--------------------------------------------------------------
## Remember
--------------------------------------------------------------*/

.upv-remember-right .wp-block-columns {
    padding: 10px;
    margin-bottom: 10px;
}

.upv-remember-right .wp-block-column {
    padding: 10px;
    border-bottom: 1px solid #fff;
}

.upv-remember-right .wp-block-column * {
    margin: 0 0 10px 0;
    line-height: 1.2em;
}

.upv-remember-right .wp-block-column h2 {
    font-size: 18px;
}

.upv-remember-right .wp-block-column p {
    font-size: 12px;
}

.upv-remember-claim {
    font-size: 100px;
    font-family: Poppins;
    font-weight: 700;
    color: #fff;
    text-shadow: -1px -1px 0 #59CBE8, 1px -1px 0 #59CBE8, -1px 1px 0 #59CBE8, 1px 1px 0 #59CBE8;
    margin: 0;
    padding: 0;
}

/*--------------------------------------------------------------
## Sabías que
--------------------------------------------------------------*/

.sabias-que {
    background-image: url(../assets/sabias_que.svg);
    background-repeat: no-repeat;
    background-position: top left;
    padding-top: min(300px, 15%) !important;
    background-size: min(1320px, 80%) auto;
}

.sabias-que-es {
    background-image: url(../assets/sabias_que-es.svg);
    background-repeat: no-repeat;
    background-position: top left;
    padding-top: min(300px, 15%) !important;
    background-size: min(1320px, 80%) auto;
}

.sabias-que-en {
    background-image: url(../assets/sabias_que-en.svg);
    background-repeat: no-repeat;
    background-position: top left;
    padding-top: min(300px, 15%) !important;
    background-size: min(1320px, 80%) auto;
}

.sabias-que-va {
    background-image: url(../assets/sabias_que-va.svg);
    background-repeat: no-repeat;
    background-position: top left;
    padding-top: min(300px, 15%) !important;
    background-size: min(1320px, 80%) auto;
}

.sabias-que .slider-pie-flotante {
    padding-left: min(50px, 6%) !important;
}

/*--------------------------------------------------------------
## Admission
--------------------------------------------------------------*/

.puntos {
    background: #59cbe8;
    border-radius: 4px;
    display: inline-block;
    padding: 3px 20px;
    font-weight: bold;
    text-align: center;
    width: 100%;
    margin: 0 !important;
}

.bloque-gris {
    border-radius: 20px;
    padding: 20px 40px;
    margin-top: 0 !important;
    margin-bottom: 10px !important;
    gap: 3em !important;
}

/*--------------------------------------------------------------
## Degrees
--------------------------------------------------------------*/

.stretch {
    align-items: stretch;
}

.stretch .wp-block-column {
    background: #f1f1f1;
    border-radius: 24px;
    padding: 8px;
}

.stretch .wp-block-group {
    background: transparent;
}

/*--------------------------------------------------------------
## Dobles masteres
--------------------------------------------------------------*/

.borde-superior {
    border-top: 1px solid var(--wp--preset--color--grey-medium) !important;
}


.borde-inferior {
    border-bottom: 1px solid var(--wp--preset--color--grey-medium) !important;
}

/*--------------------------------------------------------------
# s04b: Grid con títulos arriba y textos abajo
--------------------------------------------------------------*/
.upv-s04b .upv-feature,
.upv-s04b .upv-feature>.wp-block-group,
.upv-s04b .upv-feature>.wp-block-group>.wp-block-group__inner-container {
    display: flex !important;
    flex-direction: column !important;
    padding: 48px 133px 48px 32px !important;
}

.upv-s04b .upv-feature h3 {
    margin-top: 0 !important;
    padding-bottom: 20px !important;
}

.upv-s04b .upv-feature p {
    margin-top: auto !important;
    margin-bottom: 0 !important;
}